%define subrel 2
Name:		rocminfo
Version:	6.0.0
Release:	%mkrel 0
Summary:	ROCm system info utility
Group:      System/Configuration
License:	NCSA
URL:		https://github.com/RadeonOpenCompute/rocminfo
Source0:	https://github.com/RadeonOpenCompute/rocminfo/archive/rocm-%{version}.tar.gz#/rocminfo-rocm-%{version}.tar.gz

#aarch64 might be useful but neither ROCm-OpenCL nor HIP support it
ExclusiveArch:  x86_64

BuildRequires:	python3-devel
BuildRequires:  rocm-cmake = %{version}
BuildRequires:	rocm-runtime-devel = %{version}

# rocminfo calls lsmod to check the kernel mode driver status
Requires:		kmod
Requires:       pciutils
Requires:       rocm-runtime = %{version}

%description
ROCm Application for Reporting System Info


%prep
%autosetup -n %{name}-rocm-%{version} -p1

%{__python3} %{_rpmconfigdir}/redhat/pathfix.py -i %{__python3} rocm_agent_enumerator

# Fix build unrecognized command-line option '-m64'
%ifarch aarch64
sed -i "/m64/d" CMakeLists.txt
%endif

%build
%cmake \
    -Wno-dev \
    -B build \
    -S "." \
    -DROCRTST_BLD_TYPE=Release \
    -DROCM_PATH=%{_usr}

%cmake_build

%install
%cmake_install

%files
%doc README.md
%license License.txt
%{_bindir}/rocm_agent_enumerator
%{_bindir}/rocminfo
#packaged twice
%exclude %{_datadir}/doc/rocminfo/License.txt


%changelog
* Thu Dec 28 2023 squidf <squidf> 6.0.0-0.2
- Update to 6.0.0

* Fri Nov 24 2023 squidf <squid-f> 5.7.1-0
- Initial Mageia 9 package, upstream version 5.7.1
